Subject: Re: [bitcoin-dev] BIP Proposal: Utilization of bits denomination

From: Marcel Jamin <[email-masked]>
Date: Fri, 15 Dec 2017 07:27:10 +0100

I think one could make the argument that the only people who talk
about and understand 24 bit audio or 256 bit cryptography are the ones
who can tell the difference very easily.

To me, your example seems to try hard to make the case for a problem
that won't exist in reality.

Bitcoin (BTC), Millibitcoin (mBTC) and Microbitcoin (µBTC) is the
>correct< approach. It's tidy, systematic and precise. But that won't
stop people from using something that's easier to deal with as I just
had to google the µ character again.

Let's also keep in mind that Coinbase has been using "bits" as the
default for over 2 years now:
https://blog.coinbase.com/bits-is-the-new-default-and-all-new-users-get-100-bits-for-free-9165f757594b

Just from a linguistic standpoint, chances are we'll end up with bits
anyway. Why fight it? We don't have a SI prefix educational mandate.

Marcel

On 14 December 2017 at 23:01, Natanael <[email-masked]> wrote:
>
> Reposting /u/BashCo's post on reddit here, for visibility:
>
> ---8<---------------------------------------------------------------
>
>> Before anyone says 'bits' are too confusing because it's a computer
>> science term, here's a list of homonyms
>> [https://en.wikipedia.org/wiki/List_of_true_homonyms] that you use every
>> day. Homonyms are fine because our brains are able to interpret language
>> based on context, so it's a non-argument.
>
>
> This ignores the fact that there exists multiple meanings of bits *within
> the same context*, and that beginners likely can't tell them apart.
>
> Feel free to try it yourself - talk about Bitcoin "bits" of a particular
> value with somebody who  doesn't understand Bitcoin. Then explain that the
> cryptography uses 256 bit keys. I would be surprised if you could find
> somebody who would not be confused by that.
>
> Let's say a website says a song is 24 bits. Was that 24 bit audio resolution
> or 24 bit price? Somebody writes about 256 bit keys, are that their size or
> value?
>
> You guys here can probably tell the difference. Can everybody...? Bits will
> cause confusion, because plenty of people will not be able to tell these
> apart. They will not know WHEN to apply one definition or the other.
>
> https://www.reddit.com/r/bitcoin/comments/24m3nb/_/ch8gua7
>
>